Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  package comment
  Definition Classes
    base
- Block
- Body
- Bold
- Cell
- Chain
- Code
- ColumnOption
- Comment
- DefinitionList
- EntityLink
- HorizontalRule
- HtmlTag
- Inline
- Italic
- Link
- Monospace
- OrderedList
- Paragraph
- Row
- Subscript
- Summary
- Superscript
- Table
- Text
- Title
- Underline
- UnorderedList

c

scala.tools.nsc.doc.base.comment

# Monospace

###

#### final case class Monospace(text: Inline) extends Inline with Product with Serializable

Source
  Body.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Inline, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Monospace
2. Serializable
3. Product
4. Equals
5. Inline
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Monospace(text: Inline)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Monospace toany2stringadd[Monospace] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Monospace, B)
   Implicit
     This member is added by an implicit conversion from Monospace toArrowAssoc[Monospace] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Monospace) => Boolean, msg: => Any): Monospace
   Implicit
     This member is added by an implicit conversion from Monospace toEnsuring[Monospace] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Monospace) => Boolean): Monospace
   Implicit
     This member is added by an implicit conversion from Monospace toEnsuring[Monospace] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Monospace
    Implicit
      This member is added by an implicit conversion from Monospace toEnsuring[Monospace] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Monospace
    Implicit
      This member is added by an implicit conversion from Monospace toEnsuring[Monospace] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Monospace toStringFormat[Monospace] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  val text: Inline
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Monospace, B)
   Implicit
     This member is added by an implicit conversion from Monospace toArrowAssoc[Monospace] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Inline

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromMonospace to any2stringadd[Monospace]

### Inherited by implicit conversion StringFormat fromMonospace to StringFormat[Monospace]

### Inherited by implicit conversion Ensuring fromMonospace to Ensuring[Monospace]

### Inherited by implicit conversion ArrowAssoc fromMonospace to ArrowAssoc[Monospace]

### Ungrouped